aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-ev/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/py-ev/APKBUILD')
-rw-r--r--testing/py-ev/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-ev/APKBUILD b/testing/py-ev/APKBUILD
new file mode 100644
index 0000000000..f490975cc5
--- /dev/null
+++ b/testing/py-ev/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-ev
+_pkgname=pyev
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="A Python libev interface"
+url="http://pythonhosted.org/pyev/"
+arch="all"
+license="GPL3"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools libev-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9d7466c84c4fc57a5d2f02d89da82b7b pyev-0.9.0.tar.gz"
+sha256sums="5d030a993cb0e9a74034e57b2e1e3f6378f25083bb886583badf68c0e800c665 pyev-0.9.0.tar.gz"
+sha512sums="05eafd70b843be8ee84a9a384fea9f222445930de00c5a6ac38c6e798f22165914fab3825be8e98e84fa68fdfe9e477718190a6939737667868b4badeb1eafa8 pyev-0.9.0.tar.gz"